From 660150648874a139e8256b2e8cfd47bac1d3df39 Mon Sep 17 00:00:00 2001
From: Greg Hogan <code@greghogan.com>
Date: Mon, 18 Oct 2021 18:35:11 +0000
Subject: [PATCH 12/14] gnu: aws-c-event-stream: Replace patch.

* gnu/packages/c.scm (aws-c-event-stream): Replace patch.
[arguments]: Fix CMAKE_PREFIX_PATH.
[source]: Remove patch.
* gnu/packages/patches/aws-c-event-stream-cmake-prefix.patch:
Delete file.
* gnu/local.mk: Remove it.
---
 gnu/local.mk                                        |  1 -
 gnu/packages/c.scm                                  |  8 +++++---
 .../patches/aws-c-event-stream-cmake-prefix.patch   | 13 -------------
 3 files changed, 5 insertions(+), 17 deletions(-)
 delete mode 100644 gnu/packages/patches/aws-c-event-stream-cmake-prefix.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index 1d80195d56..534ebd3dcf 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -871,7 +871,6 @@ dist_patch_DATA =						\
   %D%/packages/patches/avidemux-install-to-lib.patch		\
   %D%/packages/patches/awesome-reproducible-png.patch		\
   %D%/packages/patches/aws-c-auth-install-private-headers.patch	\
-  %D%/packages/patches/aws-c-event-stream-cmake-prefix.patch  \
   %D%/packages/patches/aws-checksums-cmake-prefix.patch		\
   %D%/packages/patches/azr3.patch				\
   %D%/packages/patches/bash-reproducible-linux-pgrp-pipe.patch	\
diff --git a/gnu/packages/c.scm b/gnu/packages/c.scm
index 1b5a787b45..6353a6c5b0 100644
--- a/gnu/packages/c.scm
+++ b/gnu/packages/c.scm
@@ -605,6 +605,7 @@ (define-public aws-checksums
 (define-public aws-c-event-stream
   (package
     (name "aws-c-event-stream")
+    ; Update only when updating aws-crt-cpp.
     (version "0.2.7")
     (source (origin
               (method git-fetch)
@@ -614,12 +615,13 @@ (define-public aws-c-event-stream
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "0xwwr7gdgfrphk6j7vk12rgimfim6m4qnj6hg8hgg16cplhvsfzh"))
-              (patches (search-patches "aws-c-event-stream-cmake-prefix.patch"))))
+                "0xwwr7gdgfrphk6j7vk12rgimfim6m4qnj6hg8hgg16cplhvsfzh"))))
     (build-system cmake-build-system)
     (arguments
      '(#:configure-flags
-       '("-DBUILD_SHARED_LIBS=ON")))
+       (list "-DBUILD_SHARED_LIBS=ON"
+             (string-append "-DCMAKE_PREFIX_PATH="
+                            (assoc-ref %build-inputs "aws-c-common")))))
     (propagated-inputs
      `(("aws-c-common" ,aws-c-common)
        ("aws-c-io" ,aws-c-io)
diff --git a/gnu/packages/patches/aws-c-event-stream-cmake-prefix.patch b/gnu/packages/patches/aws-c-event-stream-cmake-prefix.patch
deleted file mode 100644
index 79655a910b..0000000000
--- a/gnu/packages/patches/aws-c-event-stream-cmake-prefix.patch
+++ /dev/null
@@ -1,13 +0,0 @@
---- a/CMakeLists.txt
-+++ b/CMakeLists.txt
-@@ -3,6 +3,10 @@
- cmake_minimum_required (VERSION 3.1)
- project (aws-c-event-stream C)
- 
-+if (DEFINED ENV{CMAKE_PREFIX_PATH})
-+    set(CMAKE_PREFIX_PATH $ENV{CMAKE_PREFIX_PATH})
-+endif()
-+
- if (DEFINED CMAKE_PREFIX_PATH)
-     file(TO_CMAKE_PATH "${CMAKE_PREFIX_PATH}" CMAKE_PREFIX_PATH)
- endif()
-- 
2.33.1

